Page MenuHomePhabricator

Fatal error: Call to undefined method ObjectCache::getLocalServerInstance
Closed, ResolvedPublic

Description

[0] failed today with (for all non master MW instances):

Semantic Scribunto: 1.0.0-alpha
Semantic MediaWiki: 2.5.0-alpha (SMWSQLStore3, mysql)
MediaWiki:          1.26.4 (MediaWiki vendor autoloader)
Site language:      en
Execution time:     2016-10-13 07:10
Xdebug:             2.2.7 (enabled)
Fatal error: Call to undefined method ObjectCache::getLocalServerInstance() in /home/travis/build/SemanticMediaWiki/mw/extensions/Scribunto/engines/LuaCommon/LuaCommon.php on line 318
Call Stack:
    0.0005     295504   1. {main}() /home/travis/build/SemanticMediaWiki/mw/tests/phpunit/phpunit.php:0
    0.0931   14096776   2. PHPUnit_TextUI_Command::main() /home/travis/build/SemanticMediaWiki/mw/tests/phpunit/phpunit.php:250
    0.0932   14102752   3. PHPUnit_TextUI_Command->run() /home/travis/build/SemanticMediaWiki/mw/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php:129
    0.0932   14105160   4. PHPUnit_TextUI_Command->handleArguments() /home/travis/build/SemanticMediaWiki/mw/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php:138
    0.0978   14646520   5. PHPUnit_Util_Configuration->getTestSuiteConfiguration() /home/travis/build/SemanticMediaWiki/mw/vendor/phpunit/phpunit/PHPUnit/TextUI/Command.php:657
    0.0990   14814376   6. PHPUnit_Util_Configuration->getTestSuite() /home/travis/build/SemanticMediaWiki/mw/vendor/phpunit/phpunit/PHPUnit/Util/Configuration.php:797
    0.1005   14878448   7. PHPUnit_Framework_TestSuite->addTestFiles() /home/travis/build/SemanticMediaWiki/mw/vendor/phpunit/phpunit/PHPUnit/Util/Configuration.php:873
    0.1108   16093448   8. PHPUnit_Framework_TestSuite->addTestFile() /home/travis/build/SemanticMediaWiki/mw/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php:416
    0.1142   17050712   9. ReflectionMethod->invoke() /home/travis/build/SemanticMediaWiki/mw/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php:382
    0.1142   17050776  10. Scribunto_LuaEngineTestBase::suite() /home/travis/build/SemanticMediaWiki/mw/vendor/phpunit/phpunit/PHPUnit/Framework/TestSuite.php:382
    0.1143   17051272  11. Scribunto_LuaEngineTestBase::makeSuite() /home/travis/build/SemanticMediaWiki/mw/extensions/Scribunto/tests/engines/LuaCommon/LuaEngineTestBase.php:69
    0.1955   26343400  12. Scribunto_LuaEngine->getInterpreter() /home/travis/build/SemanticMediaWiki/mw/extensions/Scribunto/tests/engines/LuaCommon/LuaEngineTestBase.php:92
    0.1955   26343504  13. Scribunto_LuaStandaloneEngine->load() /home/travis/build/SemanticMediaWiki/mw/extensions/Scribunto/engines/LuaCommon/LuaCommon.php:198
    0.1955   26343768  14. Scribunto_LuaEngine->load() /home/travis/build/SemanticMediaWiki/mw/extensions/Scribunto/engines/LuaStandalone/LuaStandaloneEngine.php:9
    0.1967   26357376  15. Scribunto_LuaEngine->registerInterface() /home/travis/build/SemanticMediaWiki/mw/extensions/Scribunto/engines/LuaCommon/LuaCommon.php:119
    0.2001   26367272  16. Scribunto_LuaEngine->loadLibraryFromFile() /home/travis/build/SemanticMediaWiki/mw/extensions/Scribunto/engines/LuaCommon/LuaCommon.php:152

Seven days ago there was no [1] such issue.

[0] https://travis-ci.org/SemanticMediaWiki/SemanticScribunto/builds/167264172
[1] https://travis-ci.org/SemanticMediaWiki/SemanticScribunto/builds/165436100

Event Timeline

mwjames created this task.Oct 13 2016, 9:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2016, 9:02 AM

Change 315689 had a related patch set uploaded (by Anomie):
Cleanup backwards-compatibility code

https://gerrit.wikimedia.org/r/315689

Change 315689 merged by jenkins-bot:
Cleanup backwards-compatibility code

https://gerrit.wikimedia.org/r/315689

mwjames closed this task as Resolved.Oct 13 2016, 7:26 PM
mwjames claimed this task.
Kghbln reassigned this task from mwjames to Anomie.Nov 12 2016, 12:04 PM
Kghbln removed a project: Patch-For-Review.